Package org.apache.sling.feature.cpconverter.accesscontrol

## Class User

- java.lang.Object
- - org.apache.sling.feature.cpconverter.accesscontrol.User

    public class User
    extends Object

### Constructor Summary

Constructors
`User​(@NotNull String id, @NotNull RepoPath path, @NotNull RepoPath intermediatePath)`
`User​(@NotNull String id, @NotNull RepoPath path, @NotNull RepoPath intermediatePath, @Nullable String disabledReason)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`@Nullable String` `getDisabledReason()`
`@NotNull String` `getId()`
`@NotNull RepoPath` `getIntermediatePath()`
`@NotNull RepoPath` `getPath()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### User

    public User​(@NotNull
                @NotNull String id,
                @NotNull
                @NotNull RepoPath path,
                @NotNull
                @NotNull RepoPath intermediatePath)

Parameters:
  `id` - - the authorizableId to use.
  `path` - - the original repository path of the user in the content-package.
  `intermediatePath` - - the intermediate path the user should have - most likely the (direct) parent of the path.

#### User

    public User​(@NotNull
                @NotNull String id,
                @NotNull
                @NotNull RepoPath path,
                @NotNull
                @NotNull RepoPath intermediatePath,
                @Nullable
                @Nullable String disabledReason)

Parameters:
  `id` - - the authorizableId to use.
  `path` - - the original repository path of the user in the content-package.
  `intermediatePath` - - the intermediate path the user should have - most likely the (direct) parent of the path.
  `disabledReason` - - the reason why this user has been disabled or `null`.

### Method Detail

#### getId

    @NotNull
    public @NotNull String getId()

#### getPath

    @NotNull
    public @NotNull RepoPath getPath()

#### getIntermediatePath

    @NotNull
    public @NotNull RepoPath getIntermediatePath()

#### getDisabledReason

    @Nullable
    public @Nullable String getDisabledReason()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`